<!DOCTYPE html>
<html lang="{{ or site.Language.LanguageCode site.Language.Lang }}" dir="{{ or site.Language.LanguageDirection `ltr` }}">
<head>
  {{- if (eq (getenv "ANALYTICS_ENABLED") "true") -}}
    {{/* OneTrust is required to run before all other scripts */}}
    {{ partial "analytics-oneTrust.html" . }}
  {{- end -}}
  {{ partial "head.html" . }}
</head>
<body class="{{ if .IsHome }}home{{ end }}" data-elastic-exclude>
  <nav data-elastic-exclude class="header gl-w-full gl-fixed gl-py-0 gl-px-5 gl-z-4 gl-bg-theme-indigo-900 gl-flex gl-justify-between gl-items-center">
    {{ partial "header.html" . }}
  </nav>
  <main>
    {{ block "main" . }}{{ end }}
  </main>
  <script type="module" src="{{ relURL "" }}vite/main.js"></script>

  {{ $isDeprecationsPath := partial "functions/is-versioned-path-match" (dict "path" .RelPermalink "pattern" "/update/deprecations/") }}
  {{ if eq $isDeprecationsPath "true" }}
    <script>
      const GITLAB_RELEASE_DATES = '{{ partial "functions/release-dates" . }}'
    </script>
    <script type="module" src="{{ relURL "" }}vite/deprecations.js"></script>
  {{ end }}

  {{ if .Store.Get "hasMermaid" }}
    <script src="{{ relURL "" }}vite/mermaid.min.js"></script>
    <script>
      document.addEventListener('DOMContentLoaded', () => {
        mermaid.initialize({ startOnLoad: true, theme: 'neutral' });
      });
    </script>
  {{ end }}

  {{ if .Store.Get "hasPlantuml" }}
    <script src="{{ relURL "" }}vite/plantuml.js"></script>
  {{ end }}

  {{- if (eq (getenv "ANALYTICS_ENABLED") "true") -}}
    {{- partial "analytics.html" . -}}
  {{- end -}}
</body>
</html>
